<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>Fruits and Vegetables</title>
			</head>
			<body>
				
				<!-- transform fruits into a table -->
				<h1>Fruits</h1>
				<table border="1">
				<tr>
					<th>Name</th><th>Supplier</th>
					<th>Units</th><th>Pricing Unit</th>
					<th>Price</th>
				</tr>	
				<xsl:for-each select="garden/fruit">
					<tr>
        		<td><xsl:value-of select="name"/></td>
        		<td><xsl:value-of select="supplier"/></td>
        		<td><xsl:value-of select="units_available"/></td>
         		<td><xsl:value-of select="price_unit"/></td>
         		<td><xsl:value-of select="price"/></td> 
					</tr>
				</xsl:for-each>		
				</table>
				
				<!-- next, transform veggies -->
				<h1>Vegetables</h1>
				<table border="1">
				<tr>
					<th>Name</th><th>Supplier</th>
					<th>Units</th><th>Pricing Unit</th>
					<th>Price</th>
				</tr>						
				<xsl:for-each select="garden/vegetable">
					<tr>
        		<td><xsl:value-of select="name"/></td>
        		<td><xsl:value-of select="supplier"/></td>
        		<td><xsl:value-of select="units_available"/></td>
         		<td><xsl:value-of select="price_unit"/></td>
         		<td><xsl:value-of select="price"/></td>         		
					</tr>
				</xsl:for-each>		
				</table>				
				
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>